
QGIS Application - Bug report #18284

problem with editing after update

2018-03-01 10:55 AM - Affan NF

Status: Closed

Priority: Normal

Assignee:

Category: Editing

Affected QGIS version:2.18.17 Regression?: No

Operating System: Windows 10 Home with latest updates Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 26175

Description

Since updating from 2.8.16 to 2.8.17 and saving the project file the "add feature" (in Edit Mode) is not working as it supposed todo.

I uninstall the 2.8.17 and install 2.8.16 and then loading the backup project (save using 2.8.16) and it working just fine.

And then I try to load the 2.8.17 project file in 2.8.16 and the problem a rise.

the problem is in 2.8.17 version.

installed plugins:

- lat lon tools

- Quick map services

- SRTM Downloader

- Easy Custom Labeling

- Profile Tool

History

#1 - 2018-03-01 10:59 AM - Giovanni Manghi

- Priority changed from High to Normal

- Status changed from Open to Feedback

Can you please expand "is not working as it supposed to do": add details about what you see and how replicate, thanks.

#2 - 2018-03-01 03:39 PM - Affan NF

What I mean is the application is freezing for a 5 to 10 seconds.

I just find out the problem is when I activate snapping options in edit mode:

Layer Selection: All Visible Layer

Snap To: To Vertex

Tolerance: 1 Map Units

v Enable Topological Editing

v Enable Snapping on Intersection

If I turn off "Enable Snapping on Intersection", the problem is gone.

#3 - 2018-03-03 10:59 AM - Giovanni Manghi
Affan NF wrote:

What I mean is the application is freezing for a 5 to 10 seconds.

I just find out the problem is when I activate snapping options in edit mode:

Layer Selection: All Visible Layer

Snap To: To Vertex

Tolerance: 1 Map Units

v Enable Topological Editing

v Enable Snapping on Intersection

If I turn off "Enable Snapping on Intersection", the problem is gone.

please add a sample project (with the options configured in a way you see the issue) with a small dataset to allow us replicate here. I just tested and can't

replicate.

#4 - 2018-08-25 04:31 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
